/* Briefing
 * The briefing can be defined by calling FHQ_TT_addBriefing.
 * The array is built like this.
 * The first element should be a filter (side, group, faction, or a piece of script). All units matching the 
 * filter will see the briefing
 * This is followed by pairs of strings, a head line, and an actual text.
 * Briefings are added in the order in which they appear for any unit that matches
 * the last filter.
 */
[
	east, 
		["Mission",
			"*** Describe the player's mission in few words ***"],
			
		["Situation",
			"*** Describe the situation, what lead to the current mission, and the current theatre of war ***"],
			
		["Execution",
			"*** Describe the intended way the mission should be carried out ***"],
			
		["Allied forces",
			"*** Describe additional stuff, like allied forces, intel, etc ***"],
			
		["Weather",
			"*** Describe the current and expected weather ***"],
			
		["Credits",
			"Mission by    <br/>"]
    
] call FHQ_TT_addBriefing;

[
	east,                                                           // Filter
    	["task1",										// Task name
         "Task text in briefing",				       // Task text in briefing
         "Task Title 1",							// Task title in briefing
         "!",											// Waypoint text
         getmarkerpos "test1"											// Optional: Position or object
														// Optional: Initial state
        ],
		 ["task2",										// Task name
         "Task text in briefing",				       // Task text in briefing
         "Task Title 2",							// Task title in briefing
         "!",											// Waypoint text
         getmarkerpos "test2"											// Optional: Position or object
        ]
] call FHQ_TT_addTasks;